Xalan-Java 2.7.1: Class ToTextSAXHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class ToTextSAXHandler

    java.lang.Object
      |
      +--org.apache.xml.serializer.SerializerBase
            |
            +--org.apache.xml.serializer.ToSAXHandler
                  |
                  +--org.apache.xml.serializer.ToTextSAXHandler

Deprecated. As of Xalan 2.7.1, replaced by the use of `ToXMLSAXHandler`.

public final class ToTextSAXHandler
extends ToSAXHandler

This class converts SAX-like event to SAX events for xsl:output method "text". This class is only to be used internally. This class is not a public API.

Usage:
  **For internal use only**

Fields inherited from class org.apache.xml.serializer.SerializerBase
`PKG_NAME, PKG_PATH`

Constructor Summary
`ToTextSAXHandler(ContentHandler hdlr, LexicalHandler lex, java.lang.String encoding)` Deprecated.
`ToTextSAXHandler(ContentHandler handler, java.lang.String encoding)` Deprecated. From XSLTC

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.String value)` Deprecated. From XSLTC
`void` | `addAttribute(java.lang.String uri, java.lang.String localName, java.lang.String rawName, java.lang.String type, java.lang.String value, boolean XSLAttribute)` Deprecated.
`void` | `attributeDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Deprecated.
`void` | `characters(char[] characters, int offset, int length)` Deprecated.
`void` | `characters(java.lang.String characters)` Deprecated.
`void` | `comment(char[] ch, int start, int length)` Deprecated.
`void` | `comment(java.lang.String data)` Deprecated.
`void` | `elementDecl(java.lang.String arg0, java.lang.String arg1)` Deprecated.
`void` | `endCDATA()` Deprecated.
`void` | `endDocument()` Deprecated. From XSLTC
`void` | `endDTD()` Deprecated.
`void` | `endElement(java.lang.String elemName)` Deprecated. From XSLTC
`void` | `endElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Deprecated.
`void` | `endPrefixMapping(java.lang.String arg0)` Deprecated.
`void` | `externalEntityDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Deprecated.
`java.util.Properties` | `getOutputFormat()` Deprecated.
`java.io.OutputStream` | `getOutputStream()` Deprecated.
`java.io.Writer` | `getWriter()` Deprecated.
`void` | `ignorableWhitespace(char[] arg0, int arg1, int arg2)` Deprecated.
`void` | `indent(int n)` Deprecated. Does nothing because the indent attribute is ignored for text output.
`void` | `internalEntityDecl(java.lang.String arg0, java.lang.String arg1)` Deprecated.
`void` | `namespaceAfterStartElement(java.lang.String prefix, java.lang.String uri)` Deprecated.
`void` | `processingInstruction(java.lang.String arg0, java.lang.String arg1)` Deprecated. From XSLTC
`boolean` | `reset()` Deprecated.
`void` | `serialize(Node node)` Deprecated.
`void` | `setDocumentLocator(Locator arg0)` Deprecated.
`boolean` | `setEscaping(boolean escape)` Deprecated.
`void` | `setIndent(boolean indent)` Deprecated.
`void` | `setOutputFormat(java.util.Properties format)` Deprecated.
`void` | `setOutputStream(java.io.OutputStream output)` Deprecated.
`void` | `setWriter(java.io.Writer writer)` Deprecated.
`void` | `skippedEntity(java.lang.String arg0)` Deprecated.
`void` | `startCDATA()` Deprecated.
`void` | `startElement(java.lang.String elementName)` Deprecated.
`void` | `startElement(java.lang.String elementNamespaceURI, java.lang.String elementLocalName, java.lang.String elementName)` Deprecated. From XSLTC
`void` | `startElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, Attributes arg3)` Deprecated.
`void` | `startEntity(java.lang.String arg0)` Deprecated.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Deprecated.
`boolean` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, boolean shouldFlush)` Deprecated.

Methods inherited from class org.apache.xml.serializer.ToSAXHandler
`addUniqueAttribute, characters, error, fatalError, flushPending, setCdataSectionElements, setContentHandler, setLexHandler, setShouldOutputNSAttr, setTransformState, startDTD, warning`

Methods inherited from class org.apache.xml.serializer.SerializerBase
`addAttribute, addAttributeAlways, addAttributes, addXSLAttribute, asContentHandler, asDOM3Serializer, asDOMSerializer, close, documentIsEmpty, endEntity, entityReference, fireEndEntity, getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getIndentAmount, getMediaType, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getOmitXMLDeclaration, getOutputProperty, getOutputPropertyDefault, getOutputPropertyNonDefault, getPrefix, getStandalone, getTransformer, getVersion, notationDecl, setDoctype, setDoctypePublic, setDoctypeSystem, setDTDEntityExpansion, setEncoding, setIndentAmount, setMediaType, setNamespaceMappings, setOmitXMLDeclaration, setOutputProperty, setOutputPropertyDefault, setSourceLocator, setStandalone, setTransformer, setVersion, startDocument, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToTextSAXHandler

    public ToTextSAXHandler(ContentHandler hdlr,
                            LexicalHandler lex,
                            java.lang.String encoding)

  Deprecated.

### ToTextSAXHandler

    public ToTextSAXHandler(ContentHandler handler,
                            java.lang.String encoding)

  Deprecated.
  From XSLTC

Method Detail

### endElement

    public void endElement(java.lang.String elemName)
                    throws SAXException

  Deprecated.
  From XSLTC
  See Also:
    `ExtendedContentHandler.endElement(String)`

### endElement

    public void endElement(java.lang.String arg0,
                           java.lang.String arg1,
                           java.lang.String arg2)
                    throws SAXException

  Deprecated.
  See Also:
    `ContentHandler.endElement(String, String, String)`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Deprecated.

### comment

    public void comment(java.lang.String data)
                 throws SAXException

  Deprecated.
  Overrides:
    comment in class ToSAXHandler

### getOutputFormat

    public java.util.Properties getOutputFormat()

  Deprecated.
  See Also:
    `Serializer.getOutputFormat()`

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Deprecated.
  See Also:
    `Serializer.getOutputStream()`

### getWriter

    public java.io.Writer getWriter()

  Deprecated.
  See Also:
    `Serializer.getWriter()`

### indent

    public void indent(int n)
                throws SAXException

  Deprecated.
  Does nothing because the indent attribute is ignored for text output.

### reset

    public boolean reset()

  Deprecated.
  Overrides:
    reset in class ToSAXHandler
  See Also:
    `Serializer.reset()`

### serialize

    public void serialize(Node node)
                   throws java.io.IOException

  Deprecated.
  See Also:
    `DOMSerializer.serialize(Node)`

### setEscaping

    public boolean setEscaping(boolean escape)

  Deprecated.
  See Also:
    `SerializationHandler.setEscaping(boolean)`

### setIndent

    public void setIndent(boolean indent)

  Deprecated.
  Overrides:
    setIndent in class SerializerBase
  See Also:
    `XSLOutputAttributes.setIndent(boolean)`

### setOutputFormat

    public void setOutputFormat(java.util.Properties format)

  Deprecated.
  See Also:
    `Serializer.setOutputFormat(Properties)`

### setOutputStream

    public void setOutputStream(java.io.OutputStream output)

  Deprecated.
  See Also:
    `Serializer.setOutputStream(OutputStream)`

### setWriter

    public void setWriter(java.io.Writer writer)

  Deprecated.
  See Also:
    `Serializer.setWriter(Writer)`

### addAttribute

    public void addAttribute(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             java.lang.String type,
                             java.lang.String value,
                             boolean XSLAttribute)

  Deprecated.
  Overrides:
    addAttribute in class SerializerBase
  See Also:
    `ExtendedContentHandler.addAttribute(String, String, String, String, String)`

### attributeDecl

    public void attributeDecl(java.lang.String arg0,
                              java.lang.String arg1,
                              java.lang.String arg2,
                              java.lang.String arg3,
                              java.lang.String arg4)
                       throws SAXException

  Deprecated.
  See Also:
    `DeclHandler.attributeDecl(String, String, String, String, String)`

### elementDecl

    public void elementDecl(java.lang.String arg0,
                            java.lang.String arg1)
                     throws SAXException

  Deprecated.
  See Also:
    `DeclHandler.elementDecl(String, String)`

### externalEntityDecl

    public void externalEntityDecl(java.lang.String arg0,
                                   java.lang.String arg1,
                                   java.lang.String arg2)
                            throws SAXException

  Deprecated.
  See Also:
    `DeclHandler.externalEntityDecl(String, String, String)`

### internalEntityDecl

    public void internalEntityDecl(java.lang.String arg0,
                                   java.lang.String arg1)
                            throws SAXException

  Deprecated.
  See Also:
    `DeclHandler.internalEntityDecl(String, String)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String arg0)
                          throws SAXException

  Deprecated.
  See Also:
    `ContentHandler.endPrefixMapping(String)`

### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0,
                                    int arg1,
                                    int arg2)
                             throws SAXException

  Deprecated.
  See Also:
    `ContentHandler.ignorableWhitespace(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String arg0,
                                      java.lang.String arg1)
                               throws SAXException

  Deprecated.
  From XSLTC
  Overrides:
    processingInstruction in class ToSAXHandler
  See Also:
    `ContentHandler.processingInstruction(String, String)`

### setDocumentLocator

    public void setDocumentLocator(Locator arg0)

  Deprecated.
  Overrides:
    setDocumentLocator in class SerializerBase
  See Also:
    `ContentHandler.setDocumentLocator(Locator)`

### skippedEntity

    public void skippedEntity(java.lang.String arg0)
                       throws SAXException

  Deprecated.
  See Also:
    `ContentHandler.skippedEntity(String)`

### startElement

    public void startElement(java.lang.String arg0,
                             java.lang.String arg1,
                             java.lang.String arg2,
                             Attributes arg3)
                      throws SAXException

  Deprecated.
  Overrides:
    startElement in class ToSAXHandler
  See Also:
    `ContentHandler.startElement(String, String, String, Attributes)`

### endCDATA

    public void endCDATA()
                  throws SAXException

  Deprecated.
  See Also:
    `LexicalHandler.endCDATA()`

### endDTD

    public void endDTD()
                throws SAXException

  Deprecated.
  See Also:
    `LexicalHandler.endDTD()`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Deprecated.
  See Also:
    `LexicalHandler.startCDATA()`

### startEntity

    public void startEntity(java.lang.String arg0)
                     throws SAXException

  Deprecated.
  See Also:
    `LexicalHandler.startEntity(String)`

### startElement

    public void startElement(java.lang.String elementNamespaceURI,
                             java.lang.String elementLocalName,
                             java.lang.String elementName)
                      throws SAXException

  Deprecated.
  From XSLTC
  Overrides:
    startElement in class ToSAXHandler
  See Also:
    `ExtendedContentHandler.startElement(String)`

### startElement

    public void startElement(java.lang.String elementName)
                      throws SAXException

  Deprecated.
  Overrides:
    startElement in class ToSAXHandler

### endDocument

    public void endDocument()
                     throws SAXException

  Deprecated.
  From XSLTC
  See Also:
    `ContentHandler.endDocument()`

### characters

    public void characters(java.lang.String characters)
                    throws SAXException

  Deprecated.
  Overrides:
    characters in class ToSAXHandler
  See Also:
    `ExtendedContentHandler.characters(String)`

### characters

    public void characters(char[] characters,
                           int offset,
                           int length)
                    throws SAXException

  Deprecated.
  See Also:
    `ContentHandler.characters(char[], int, int)`

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

  Deprecated.
  From XSLTC
  Overrides:
    addAttribute in class SerializerBase

### startPrefixMapping

    public boolean startPrefixMapping(java.lang.String prefix,
                                      java.lang.String uri,
                                      boolean shouldFlush)
                               throws SAXException

  Deprecated.

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws SAXException

  Deprecated.

### namespaceAfterStartElement

    public void namespaceAfterStartElement(java.lang.String prefix,
                                           java.lang.String uri)
                                    throws SAXException

  Deprecated.
  Overrides:
    namespaceAfterStartElement in class SerializerBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.